Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 147651 - www-client/seamonkey: Security bump to 1.0.5
Summary: www-client/seamonkey: Security bump to 1.0.5
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Other
: High normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: A2 [glsa] frilled
Keywords:
Depends on:
Blocks: 147591
  Show dependency tree
 
Reported: 2006-09-14 23:35 UTC by Wolf Giesen (RETIRED)
Modified: 2006-10-16 03:24 UTC (History)
11 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
seamonkey-1.0.5.ebuild (seamonkey-1.0.5.ebuild,8.43 KB, text/plain)
2006-09-24 08:32 UTC, René Nussbaumer (RETIRED)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wolf Giesen (RETIRED) gentoo-dev 2006-09-14 23:35:23 UTC
Mozilla Team, please bump seamonkey and seamonkey-bin to 1.0.5, thx!

See Tracker bug for info.
Comment 1 Wolf Giesen (RETIRED) gentoo-dev 2006-09-14 23:40:14 UTC
Paperwork change.
Comment 2 subs 2006-09-23 09:43:50 UTC
Any movement on 1.0.5?
Comment 3 Michael Lelli 2006-09-23 16:16:31 UTC
(In reply to comment #2)
> Any movement on 1.0.5?
> 

Doesn't look like it, which is bad for all the people out there who use Seamonkey as their main browser.
Comment 4 René Nussbaumer (RETIRED) gentoo-dev 2006-09-24 08:30:42 UTC
I've a working seamonkey-1.0.5 ebuild. I did nothing special, only a quick and dirty search and replace to patch the patchset of 1.0.3.

emerge --info:

$ emerge --info
Portage 2.1.2_pre1-r1 (default-linux/ppc/ppc32/2006.1/G4, gcc-4.1.1, glibc-2.4-r3, 2.6.18 ppc)
=================================================================
System uname: 2.6.18 ppc 7447A, altivec supported
Gentoo Base System version 1.12.5
Last Sync: Sun, 24 Sep 2006 12:20:01 +0000
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: [Not Present]
dev-lang/python:     2.3.5, 2.4.3-r1
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r3
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.16
ACCEPT_KEYWORDS="ppc"
AUTOCLEAN="yes"
CBUILD="powerpc-unknown-linux-gnu"
CFLAGS="-O2 -mtune=G4 -mcpu=G4 -maltivec -mabi=altivec -pipe"
CHOST="powerpc-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /var/qmail/alias /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-O2 -mtune=G4 -mcpu=G4 -maltivec -mabi=altivec -pipe"
DISTDIR="/usr/portage-distfiles"
FEATURES="autoconfig distlocks fixpackages metadata-transfer parallel-fetch sandbox sfperms strict"
GENTOO_MIRRORS="http://sunsite.cnlab-switch.ch/ftp/mirror/gentoo/"
MAKEOPTS="-j4"
PKGDIR="/usr/portage-packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.ch.gentoo.org/gentoo-portage"
USE="ppc X a52 aac alsa altivec berkdb bitmap-fonts cjk crypt dri dts dvd dvdread elibc_glibc flac gtk gtk2 input_devices_evdev input_devices_keyboard input_devices_mouse ipv6 jpeg kernel_linux libwww moznocompose moznoirc moznomail mozsvg mp3 mpeg ncurses nls ogg oggvorbis openal opengl pam pdflib perl png python readline ruby spell ssl tcpd theora truetype truetype-fonts type1-fonts unicode userland_GNU utf8 vcd video_cards_radeon vorbis wxwindows xinerama xml2 xorg xv xvid zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 5 René Nussbaumer (RETIRED) gentoo-dev 2006-09-24 08:32:42 UTC
Created attachment 97949 [details]
seamonkey-1.0.5.ebuild

Working seamonkey ebuild. Tested on x86 and ppc.
Comment 6 Frederic Jaeckel 2006-09-24 11:16:31 UTC
Works on x86 with ACCEPT_KEYWORDS="~x86"

Portage 2.1.2_pre1-r1 (default-linux/x86/2006.1, gcc-4.1.1, glibc-2.4-r3, 2.6.18 i686)
=================================================================
System uname: 2.6.18 i686 Intel(R) Pentium(R) M processor 1400MHz
Gentoo Base System version 1.12.5
Last Sync: Sat, 23 Sep 2006 11:30:01 +0000
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.4 [enabled]
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: 1.2.11-r1, 2.0.30
dev-lang/python:     2.4.3-r3
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.4-r6
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.60
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.13-r3
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r1
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ http://pandemonium.tiscali.de/pub/gentoo/ "
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 3dnow X a52 aac acpi aim alsa avi bash-completion berkdb bitmap-fonts bluetooth bzip2 calendar cdparanoia cli crypt curl divx divx4linux dlloader dri dvd dvdread elibc_glibc encode esd ethereal fbsplash ffmpeg fortran frontendonly ftp gd gdbm gif gnutls gpgme gpm gtk gtk2 icq imap imlib input_devices_keyboard input_devices_mouse ipod ipv6 isdnlog iso14755 ithreads jabber jpeg kernel_linux libg++ mad madwifi mikmod mmx motif mp3 mpeg msn mysql ncurses nls nptl nptlonly ntpl ogg oggvorbis opengl oss pam pcre pdf perl png ppds pppd python qt qt3 quicktime readline real reflection rtc ruby samba sdl session smime speex spell spl sse sse2 ssl svga tcpd theora tiff truetype truetype-fonts type1-fonts udev unicode usb userland_GNU utf utf8 v4l v4l2 vcd video_cards_radeon video_cards_vesa video_cards_vga vorbis wifi win32codecs wmp xml xmms xorg xv xvid zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 7 Wolf Giesen (RETIRED) gentoo-dev 2006-09-27 23:44:03 UTC
We're officially very late on this one. Is there something preventing us from commiting the ebuild to cvs?
Comment 8 Bryan Østergaard (RETIRED) gentoo-dev 2006-09-28 03:34:45 UTC
(In reply to comment #7)
> We're officially very late on this one. Is there something preventing us from
> commiting the ebuild to cvs?
> 
Yes, it's breaking in interesting (and different) ways on at least amd64 and ia64. I suspect it's broken on just about every arch except x86 currently.
Comment 9 Frederic Jaeckel 2006-09-28 04:05:26 UTC
(In reply to comment #8)
> (In reply to comment #7)
> > We're officially very late on this one. Is there something preventing us from
> > commiting the ebuild to cvs?
> > 
> Yes, it's breaking in interesting (and different) ways on at least amd64 and
> ia64. I suspect it's broken on just about every arch except x86 currently.
No, it works on PPC. ;-)
Comment 10 Chí-Thanh Christopher Nguyễn gentoo-dev 2006-09-28 05:42:14 UTC
worksforme on amd64

# emerge --info
Portage 2.1.1 (default-linux/amd64/2006.0, gcc-4.1.1, glibc-2.4-r3, 2.6.18-gentoo x86_64)
=================================================================
System uname: 2.6.18-gentoo x86_64 AMD Turion(tm) 64 Mobile Technology ML-30
Gentoo Base System version 1.12.4
Last Sync: Tue, 26 Sep 2006 10:00:01 +0000
ccache version 2.4 [enabled]
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: 1.3.0-r2, 2.0.28
dev-lang/python:     2.4.3-r1
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.4-r2
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.60
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.12-r6
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.16
ACCEPT_KEYWORDS="amd64 ~amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="ftp://ftp.fu-berlin.de/linux/gentoo"
LINGUAS="de"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/portage-xgl"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="amd64 X a52 aac acl acpi alsa arts avi berkdb bitmap-fonts bzip2 cairo cli crypt css cups dbus dlloader dri dts dv dvb dvd dvdr eds elibc_glibc emboss encode foomaticdb fortran gcj gif glitz gnokii gnutls gpm gs gstreamer gtk gtk2 hal ieee1394 imlib input_devices_evdev input_devices_keyboard input_devices_mouse input_devices_synaptics ipv6 irda isdnlog java jikes jpeg jpeg2k kde kernel_linux lcms libwww linguas_de lirc lm_sensors lzw lzw-tiff matroska mikmod mng mod mp3 mp4 mpeg ncurses nls nptl nptlonly nsplugin ogg opengl pam pcmcia pcre pdf pdflib perl png pppd python qt3 qt4 quicktime readline reflection rtsp samba sdl seamonkey session sms spell spl ssl svg tcpd tetex tiff truetype truetype-fonts type1-fonts unicode usb userland_GNU vcd video_cards_radeon vorbis webdav wifi x264 xcomposite xml xorg xpm xv xvid zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, MAKEOPTS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 11 Frederic Jaeckel 2006-09-28 05:52:26 UTC
(In reply to comment #10)
> worksforme on amd64

could you please test it with `MAKEOPTS="-j2"` in /etc/make.conf?
I suggest, that the faults belong to the parallel processes while compiling.
Comment 12 Frederic Jaeckel 2006-09-28 05:54:11 UTC
(In reply to comment #8)
> (In reply to comment #7)
> > We're officially very late on this one. Is there something preventing us from
> > commiting the ebuild to cvs?
> > 
> Yes, it's breaking in interesting (and different) ways on at least amd64 and
> ia64. I suspect it's broken on just about every arch except x86 currently.
> 

Could you please test it too without parallel processes while compiling?
Thanks.
Comment 13 Chí-Thanh Christopher Nguyễn gentoo-dev 2006-09-28 07:32:42 UTC
(In reply to comment #11)
> > worksforme on amd64
> 
> could you please test it with `MAKEOPTS="-j2"` in /etc/make.conf?
> I suggest, that the faults belong to the parallel processes while compiling.
> 
Seamonkey still compiles fine with MAKEOPTS="-j2"
What faults are you referring to?
Comment 14 Frederic Jaeckel 2006-09-28 08:00:38 UTC
Bryan 
Comment 15 Frederic Jaeckel 2006-09-28 08:00:38 UTC
Bryan Østergaard said it doesn't compile on amd64 and ia64, but he did'nt attached a `emerge --info`. Bryan please attach it.

I have another person with amd64. The build process is already finished without any error.

----
Gentoo Base System version 1.12.5
Portage 2.1.2_pre1-r2 (default-linux/amd64/2006.1, gcc-4.1.1/amd64-vanilla, glibc-2.4-r3, 2.6.18 x86_64)
=================================================================
System uname: 2.6.18 x86_64 AMD Sempron(tm) Processor 3000+
Last Sync: Mon, 25 Sep 2006 21:30:01 +0000
distcc 2.18.3 x86_64-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
app-admin/eselect-compiler: 2.0.0_rc1-r6
dev-java/java-config: 1.3.0-r2, 2.0.29
dev-lang/python:     2.4.3-r3
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.60
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.13-r3
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O3 -march=k8"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /var/bind"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/eselect/compiler /etc/gconf /etc/java-config/vms/ /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-O3 -march=k8"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://pandemonium.tiscali.de/pub/gentoo/"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="amd64 X a52 aac aalib acpi alsa apm audiofile bash-completion bcmath berkdb bitmap-fonts bluetooth bzip2 cdparanoia cdr cli crypt cups directfb dlloader dri dv dvb dvd dvdr dvdread elibc_glibc encode esd exif ffmpeg flac fortran ftp gdbm gif gpm gps gtk2 idn ieee1394 input_devices_evdev input_devices_keyboard input_devices_mouse ipv6 isdnlog jabber java jpeg jpeg2k kernel_linux libg++ lirc mime mp3 mpeg msn mysql mysqli ncurses nls nptl nptlonly ogg opengl pam pcre pdf perl png posix ppds pppd python readline reflection samba session sndfile spl ssl tcpd truetype-fonts type1-fonts udev unicode usb userland_GNU v4l v4l2 vcd video_cards_sis* vorbis wifi xinerama xmms xorg xv xvid yahoo zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_RSYNC_EXTRA_OPTS

Comment 16 Torsten Kaiser 2006-10-01 08:59:33 UTC
I think there is also another security problem in the portage tree:
www-client/mozilla[-bin]-1.7.13

From http://www.mozilla.org/projects/security/known-vulnerabilities.html:
>>> The Mozilla Suite is no longer supported and is affected by several known vulnerabilities fixed in newer Mozilla-based products. All users are urged to upgrade to a supported product. <<<

The word "known vulnerabilities" link in the original website to the list of vulnerabilitys that were fixed in seamonkey-1.0.2

Shouldn't www-client/mozilla and www-client/mozilla-bin be package-masked?
I only find GLSA 200604-18 for this packages and that GLSA says 1.7.13 is safe.
Comment 17 Richard Karnesky 2006-10-02 19:29:06 UTC
This ebuild works for me on both x86 and ~amd64.  Here's 'emerge --info' for the latter:

Portage 2.1.2_pre2-r1 (default-linux/amd64/2006.0, gcc-3.4.6, glibc-2.4-r3, 2.6.                                                                                                                                                                                         16-beyond1 x86_64)
=================================================================
System uname: 2.6.16-beyond1 x86_64 Intel(R) Pentium(R) D CPU 2.80GHz
Gentoo Base System version 1.12.5
Last Sync: Mon, 02 Oct 2006 04:30:08 +0000
ccache version 2.4 [enabled]
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: 1.3.7, 2.0.30
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.4-r6
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.60
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.13-r3
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=nocona -fomit-frame-pointer -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms                                                                                                                                                                                         / /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-O2 -march=nocona -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/                                                                                                                                                                                         distributions/gentoo"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress                                                                                                                                                                                          --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/d                                                                                                                                                                                         istfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="amd64 X aac alsa asf avi bash-completion berkdb bitmap-fonts bzip2 cli cryp                                                                                                                                                                                         t cups directfb dlloader dri dvd dvdr dvdread eds elibc_glibc emboss encode esd                                                                                                                                                                                          fbcon ffmpeg foomaticdb fortran gif gnome gpm gstreamer gtk gtk2 imagemagick iml                                                                                                                                                                                         ib input_devices_keyboard input_devices_mouse isdnlog ithreads java javascript j                                                                                                                                                                                         peg justify kernel_linux ldap lzw lzw-tiff minimal moznocompose moznoirc moznoro                                                                                                                                                                                         aming mp3 mpeg ncurses nls nodrm nptl nptlonly ogg pam pcre pdf pdflib perl pic                                                                                                                                                                                          png pppd python quicktime quotes readline reflection sdl session sftplogging sla                                                                                                                                                                                         ng spell spl ssl symlink sysfs tcpd tiff truetype truetype-fonts type1-fonts uni                                                                                                                                                                                         code usb userland_GNU userlocales video_cards_sis vorbis wxwindows xmms xorg xpm                                                                                                                                                                                          xv xvid zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTA                                                                                                                                                                                         GE_RSYNC_EXTRA_OPTS
Comment 18 Pacho Ramos gentoo-dev 2006-10-06 12:29:05 UTC
When will be added to portage tree?

Thanks
Comment 19 Bryan Østergaard (RETIRED) gentoo-dev 2006-10-07 10:03:45 UTC
1.0.5 committed now.
Comment 20 Wolf Giesen (RETIRED) gentoo-dev 2006-10-08 12:26:37 UTC
Thanks kloeri ... wow, this has grown some hair ^^

Arches, please test & mark stable, thanks!
Comment 21 Markus Meier gentoo-dev 2006-10-09 04:11:07 UTC
1.) emerges fine on x86, with a lot of pre-stripped files
2.) passes collision test
3.) works fine

emerge --info
Portage 2.1.1 (default-linux/x86/2006.1/desktop, gcc-4.1.1, glibc-2.4-r3, 2.6.18 i686)
=================================================================
System uname: 2.6.18 i686 Genuine Intel(R) CPU           T2300  @ 1.66GHz
Gentoo Base System version 1.12.5
Last Sync: Sun, 08 Oct 2006 17:50:01 +0000
ccache version 2.3 [disabled]
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: 1.2.11-r1
dev-lang/python:     2.3.5-r3, 2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.3
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r4
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r1
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=prescott -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-O2 -march=prescott -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig collision-protect distlocks metadata-transfer parallel-fetch sandbox sfperms strict test userfetch userpriv usersandbox"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LINGUAS="en de en_GB de_CH"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="x86 X a52 aac acpi alsa apache2 asf berkdb bitmap-fonts cairo cdr cdrom cli crypt cups dbus divx dlloader dri dts dvd dvdr dvdread eds elibc_glibc emboss encode fam ffmpeg firefox flac fortran gdbm gif gnome gpm gstreamer gtk hal input_devices_keyboard input_devices_mouse ipv6 isdnlog java jpeg kde kernel_linux ldap libg++ linguas_de linguas_de_CH linguas_en linguas_en_GB mad mikmod mmx mono mp3 mpeg ncurses nls nptl nptlonly ogg opengl oss pam pcre perl png ppds pppd python qt3 qt4 quicktime readline reflection rtsp samba sdl session smp spell spl sse sse2 sse3 ssl svg tcpd tetex theora threads truetype truetype-fonts type1-fonts udev unicode userland_GNU vcd video_cards_fbdev video_cards_i810 video_cards_vesa vorbis win32codecs wxwindows x264 xine xml xorg xprint xv xvid zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 22 Christian Faulhammer (RETIRED) gentoo-dev 2006-10-09 06:55:21 UTC
1) emerges fine so far.  I think all files are prestripped.
2) passes collision test
3) works

Portage 2.1.1 (default-linux/x86/2006.1/desktop, gcc-4.1.1, glibc-2.4-r3, 2.6.17-gentoo-r8 i686)
=================================================================
System uname: 2.6.17-gentoo-r8 i686 AMD Athlon(tm) XP 2500+
Gentoo Base System version 1.12.5
Last Sync: Mon, 09 Oct 2006 05:20:01 +0000
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: 1.3.7, 2.0.30
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r4
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r1
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-O2"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache collision-protect distlocks metadata-transfer parallel-fetch sandbox sfperms strict test"
GENTOO_MIRRORS="ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo/"
LANG="de_DE@euro"
LC_ALL="de_DE@euro"
LINGUAS="de"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.informatik.rwth-aachen.de/gentoo-portage"
USE="x86 3dnow 3dnowext X Xaw3d a52 alsa artworkextra asf audiofile bash-completion beagle berkdb bidi bitmap-fonts bootsplash branding bzip2 cairo cdda cddb cdparanoia cdr cli cracklib crypt css cups curl custom-cflags dbus dga directfb divx4linux dlloader dri dts dvd dvdr dvdread dvi eds elibc_glibc emacs emboss encode esd evo exif expat fam fat fbcon ffmpeg firefox fortran ftp gb gcj gdbm gif gnome gpm gstreamer gtk gtk2 gtkhtml hal icq idn imagemagick imap input_devices_keyboard input_devices_mouse ipv6 isdnlog java javascript jikes jpeg jpeg2k kde kernel_linux ldap leim libg++ linguas_de lm_sensors mad maildir matroska mbox mhash mikmod mime mmx mmxext mng mono mp3 mpeg mpeg2 mule nautilus ncurses nforce2 nls nocardbus nptl nptlonly nsplugin nvidia objc ogg opengl pam pcre pdf perl plotutils pmu png ppds pppd preview-latex print python qt3 qt4 quicktime readline reflection reiserfs samba sdk session slang spell spl sse ssl svg svga t1lib tcltk tcpd tetex theora thunderbird tiff truetype truetype-fonts type1-fonts udev usb userland_GNU vcd video_cards_fbdev video_cards_radeon video_cards_vesa videos vorbis win32codecs wmf wxwindows xine xml xorg xosd xv xvid zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 23 Chris Gianelloni (RETIRED) gentoo-dev 2006-10-09 07:09:01 UTC
x86/amd64 done
Comment 24 Tobias Scherbaum (RETIRED) gentoo-dev 2006-10-10 08:05:50 UTC
Already stabled for ppc by Killerfox ... *sigh*
Comment 25 Jeroen Roovers gentoo-dev 2006-10-10 15:09:41 UTC
Stable for HPPA, by killerfox on Oct. 8th.
Comment 26 Thomas Cort (RETIRED) gentoo-dev 2006-10-11 04:00:04 UTC
alpha stable.
Comment 27 Wolf Giesen (RETIRED) gentoo-dev 2006-10-11 04:03:49 UTC
Ready for GLSA, then.
Comment 28 Wolf Giesen (RETIRED) gentoo-dev 2006-10-16 03:24:01 UTC
GLSA 200610-04. Thanks everybody.